(setq ff (open "TDATA" :direction :output))

(defun bparse(lst) (prog(tlst)
  (cond ((null lst) (close ff) (return))
	(t (setq tlst (car lst))
		(princ (car tlst) ff) (princ " " ff)		; filename
		(princ (nth 1 tlst) ff) (princ " " ff)		; duration
		(cond ((null (nth 2 tlst))			; pitch-check
				(princ 0 ff) (princ " " ff) )
			(t (princ (car (nth 2 tlst)) ff) (princ " " ff) )
				)
		(princ (nth 3 tlst) ff) (princ " " ff)		; loudness
		(princ (nth 4 tlst) ff) (princ " " ff)		; att-hard
								; SKIP bangs
		(princ (nth 6 tlst) ff) (princ " " ff)		; noisy/harm
		(princ (nth 7 tlst) ff) (princ " " ff)		; color
		(princ (nth 8 tlst) ff) (princ " " ff)		; agitation
								; SKIP material
		(princ (nth 10 tlst) ff) (princ " " ff)		; tessitura
		(terpri ff)
		(bparse (cdr lst)) )
	)
  )
)
